REPOMANAGE(1)

BEZEICHNUNG
repomanage - Weiterleitung zum DNF-Plugin zum Verwalten von Paketquellen

Eine Paketquelle oder ein einfaches Verzeichnis von RPM-Paketen verwalten.

ÜBERSICHT

dnf repomanage [<optionale-Optionen>] [<Optionen>] <Pfad>

BESCHREIBUNG

repomanage gibt die neusten oder ältesten Pakete in einer durch <Pfad> angegebenen Paketquelle aus, damit das leicht mit einer Pipe an xargs(1) oder ähnliche Programme weitergeleitet werden kann. Falls <Pfad> keine gültige Paketquelle enthält, wird in ihm nach RPM-Paketen gesucht, die dann stattdessen verwendet werden. Falls die Paketquelledaten vorhanden sind, verwendent sie repomanage als Quelle der Wahrheit, es prüft nicht, dass sie mit den vorhandenen RPM-Paketen übereinstimmt. Tatsächlich kann repomanage rein mit den Daten der Paketquelle ausgeführt werden, es werden keine RPM-Pakete benötigt.

Um richtig mit modularen Paketen zusammenzuarbeiten, muss <Pfad> bestimmte Daten der Paketquellen mit modularen Metadaten enthalten. Falls modulare Inhalte vorhanden sind, gibt repomanage zusätzlich zu den neusten oder ältesten Pakten seine Pakete von der neusten zu der ältesten Datenstromversion aus.

  Optionen

Alle allgemeinen DNF-Optionen werden akzeptiert, siehe Optionen in dnf(8) für Details.

Die folgenden Optionen regeln, welche Pakete angezeigt werden. Diese Optionen schließen sich gegenseitig aus, d.h. nur eine davon kann angegeben werden. Falls keine Option angegeben ist, werden die neusten Pakete angezeigt.

    --old
        zeigt ältere Pakete an (für ein Paket oder einen Datenstrom werden alle Versionan außer der neusten angezeigt).

    --oldonly
        zeigt ältere Pakete an. Dies ist gleichbedeutend mit --old, aber die neuesten Pakete werden selbst dann nicht angezeigt, wenn in den älteren Datenstromversionen enthalten sind.

    --new
        zeigt die neuesten Pakete an.

Die folgenden Optionen steuern die Ansicht der Pakete in der Ausgabe:

    -s, --space
        gibt den Satz der Pakete mittels Leerzeichen getrennt aus (anstelle von Zeilenvorschüben).

    -k <Anzahl>, --keep <Anzahl>
        begrenzt die Ausgabe auf die angegebene <Anzahl> neuester Pakete.

BEISPIELE

Die neuesten Pakete in der aktuellen Paketquelle (bzw. dem aktuellen Verzeichnis) anzeigen:

            dnf repomanage --new .

Die zwei neuesten Versionen jedes Pakets im »Home«-Verzeichnis anzeigen:

            dnf repomanage --new --keep 2 ~/

Die ältesten Pakete in der aktuellen Paketquelle (bzw. dem aktuellen Verzeichnis) anzeigen, durch Leerzeichen getrennt:

            dnf repomanage --old --space .

AUTOR
Siehe AUTHORS im Paket der Core-DNF-Plugins.

COPYRIGHT
2014, Red Hat, lizenziert unter GPLv2+

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.